Package com.orbbec.obsensor

## Enum AccelFullScaleRange

- java.lang.Object
- - java.lang.Enum<AccelFullScaleRange>
  - - com.orbbec.obsensor.AccelFullScaleRange

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AccelFullScaleRange>`

    public enum AccelFullScaleRange
    extends java.lang.Enum<AccelFullScaleRange>

Accelerometer range enumeration

### Enum Constant Summary

Enum Constants
`FS_16g` 16 times the acceleration of gravity
`FS_2g` 1x the acceleration of gravity
`FS_4g` 4 times the acceleration of gravity
`FS_8g` 8 times the acceleration of gravity

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AccelFullScaleRange` `get​(int value)` Get the range enumeration value corresponding to the specified index
`int` `value()` Get the index corresponding to the accelerometer range
`static AccelFullScaleRange` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AccelFullScaleRange[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FS_2g

    public static final AccelFullScaleRange FS_2g

1x the acceleration of gravity

#### FS_4g

    public static final AccelFullScaleRange FS_4g

4 times the acceleration of gravity

#### FS_8g

    public static final AccelFullScaleRange FS_8g

8 times the acceleration of gravity

#### FS_16g

    public static final AccelFullScaleRange FS_16g

16 times the acceleration of gravity

### Method Detail

#### values

    public static AccelFullScaleRange[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccelFullScaleRange c : AccelFullScaleRange.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccelFullScaleRange valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the accelerometer range

Returns:
  index value

#### get

    public static AccelFullScaleRange get​(int value)

Get the range enumeration value corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  Accelerometer range enumeration value